Bug 1335058 (CVE-2016-1096, CVE-2016-1097, CVE-2016-1098, CVE-2016-1099, CVE-2016-1100, CVE-2016-1101, CVE-2016-1102, CVE-2016-1103, CVE-2016-1104, CVE-2016-1105, CVE-2016-1106, CVE-2016-1107, CVE-2016-1108, CVE-2016-1109, CVE-2016-1110, CVE-2016-4108, CVE-2016-4109, CVE-2016-4110, CVE-2016-4111, CVE-2016-4112, CVE-2016-4113, CVE-2016-4114, CVE-2016-4115, CVE-2016-4116, CVE-2016-4117, CVE-2016-4120, CVE-2016-4121, CVE-2016-4160, CVE-2016-4161, CVE-2016-4162, CVE-2016-4163) - flash-plugin: multiple code execution issues fixed in APSB16-15
Summary: flash-plugin: multiple code execution issues fixed in APSB16-15
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-1096, CVE-2016-1097, CVE-2016-1098, CVE-2016-1099, CVE-2016-1100, CVE-2016-1101, CVE-2016-1102, CVE-2016-1103, CVE-2016-1104, CVE-2016-1105, CVE-2016-1106, CVE-2016-1107, CVE-2016-1108, CVE-2016-1109, CVE-2016-1110, CVE-2016-4108, CVE-2016-4109, CVE-2016-4110, CVE-2016-4111, CVE-2016-4112, CVE-2016-4113, CVE-2016-4114, CVE-2016-4115, CVE-2016-4116, CVE-2016-4117, CVE-2016-4120, CVE-2016-4121, CVE-2016-4160, CVE-2016-4161, CVE-2016-4162, CVE-2016-4163
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20160510,repor...
Depends On: 1335109 1335110 1335111
Blocks: 1335059
TreeView+ depends on / blocked
 
Reported: 2016-05-11 09:01 UTC by Andrej Nemec
Modified: 2019-06-08 21:11 UTC (History)
6 users (show)

Fixed In Version: flash-plugin 11.2.202.621
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-13 07:29:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1079 normal SHIPPED_LIVE Critical: flash-plugin security update 2016-05-13 11:21:34 UTC

Description Andrej Nemec 2016-05-11 09:01:43 UTC
Adobe released a new security advisory for Adobe Flash Player.

A critical vulnerability (CVE-2016-4117) exists in Adobe Flash Player 21.0.0.226 and earlier versions for Windows, Macintosh, Linux, and Chrome OS. Successful exploitation could cause a crash and potentially allow an attacker to take control of the affected system.

Adobe is aware of a report that an exploit for CVE-2016-4117 exists in the wild.  Adobe will address this vulnerability in our monthly security update, which will be available as early as May 12. For the latest information, users may monitor the Adobe Product Security Incident Response Team blog.

https://helpx.adobe.com/security/products/flash-player/apsa16-02.html

Comment 2 Tomas Hoger 2016-05-12 16:12:04 UTC
Updates for Adobe Flash Player were released, further details are in the APSB16-15 bulletin.

Adobe Security Bulletin APSB16-15 for Adobe Flash Player describes multiple flaws that can possibly lead to code execution when Flash Player is used to play a specially crafted SWF file.

Quoting from the APSB16-15:

These updates resolve type confusion vulnerabilities that could lead to code execution (CVE-2016-1105, CVE-2016-4117).

These updates resolve use-after-free vulnerabilities that could lead to code execution (CVE-2016-1097, CVE-2016-1106, CVE-2016-1107, CVE-2016-1108, CVE-2016-1109, CVE-2016-1110, CVE-2016-4108, CVE-2016-4110).

These updates resolve a heap buffer overflow vulnerability that could lead to code execution (CVE-2016-1101).

These updates resolve a buffer overflow vulnerability that could lead to code execution (CVE-2016-1103).

These updates resolve memory corruption vulnerabilities that could lead to code execution (CVE-2016-1096, CVE-2016-1098, CVE-2016-1099, CVE-2016-1100, CVE-2016-1102, CVE-2016-1104, CVE-2016-4109, CVE-2016-4111, CVE-2016-4112, CVE-2016-4113, CVE-2016-4114, CVE-2016-4115).

These updates resolve a vulnerability in the directory search path used to find resources that could lead to code execution (CVE-2016-4116).

External References:

https://helpx.adobe.com/security/products/flash-player/apsb16-15.html
https://helpx.adobe.com/security/products/flash-player/apsa16-02.html

Comment 3 errata-xmlrpc 2016-05-13 07:21:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 5 Supplementary

Via RHSA-2016:1079 https://rhn.redhat.com/errata/RHSA-2016-1079.html

Comment 4 Andrej Nemec 2016-05-20 07:33:47 UTC
Adobe updated the advisory with two additional CVEs. I am adding them as aliases for this update. Tomas, do we need to reflect these changes anywhere else? 

https://helpx.adobe.com/security/products/flash-player/apsb16-15.html

CVE-2016-4120 is a memory corruption vulnerability possibly leading to code execution.

CVE-2016-4121 is a use-after-free vulnerability possibly leading to code execution.

Comment 6 Andrej Nemec 2016-06-06 07:29:21 UTC
Adobe updated the advisory with four additional CVEs. Adding them as aliases and adding them to errata.

https://helpx.adobe.com/security/products/flash-player/apsb16-15.html

CVE-2016-4160, CVE-2016-4161, CVE-2016-4162, CVE-2016-4163: 

These updates resolve memory corruption vulnerabilities that could lead to code execution.


Note You need to log in before you can comment on or make changes to this bug.